Main Page glibmm Namespaces Book

# tree.h File Reference

## Namespaces

namespace | Glib

## Classes

class | Glib::Tree<T>
| N-ary Trees — trees of data with any number of branches The Tree class and its associated functions provide an N-ary tree data structure, in which nodes in the tree can contain arbitrary data. More...

## Enumerations

enum | Glib::TraverseFlags { Glib::TRAVERSE_LEAVES = 1 << 0, Glib::TRAVERSE_NON_LEAVES = 1 << 1, Glib::TRAVERSE_ALL = 0x1, Glib::TRAVERSE_MASK = 0x03, Glib::TRAVERSE_LEAFS = 0x1, Glib::TRAVERSE_NON_LEAFS = 0x2 }
enum | Glib::TraverseType { Glib::TRAVERSE_IN_ORDER = G_IN_ORDER, Glib::TRAVERSE_PRE_ORDER = G_PRE_ORDER, Glib::TRAVERSE_POST_ORDER = G_POST_ORDER, Glib::TRAVERSE_LEVEL_ORDER = G_LEVEL_ORDER, Glib::IN_ORDER, Glib::PRE_ORDER, Glib::POST_ORDER, Glib::LEVEL_ORDER }

## Functions

TraverseFlags | Glib::operator| (TraverseFlags lhs, TraverseFlags rhs)
TraverseFlags | Glib::operator& (TraverseFlags lhs, TraverseFlags rhs)
TraverseFlags | Glib::operator^ (TraverseFlags lhs, TraverseFlags rhs)
TraverseFlags | Glib::operator~ (TraverseFlags flags)
TraverseFlags& | Glib::operator|= (TraverseFlags& lhs, TraverseFlags rhs)
TraverseFlags& | Glib::operator&= (TraverseFlags& lhs, TraverseFlags rhs)
TraverseFlags& | Glib::operator^= (TraverseFlags& lhs, TraverseFlags rhs)